
#include "stm32f0xx.h"
#include "user_rcc.h"

void RCC_Configuration(void);

void rcc_init(void)
{
	RCC_Configuration();
	/*-------------ʱ------------------------*/
	RCC_AHBPeriphClockCmd(	RCC_AHBPeriph_GPIOA		| 												//ܽʱPA
													RCC_AHBPeriph_GPIOB															//ܽʱPB
													,ENABLE);//ܽʱPAPB
}

void RCC_Configuration(void)
{	
	//οֲ2ƵٱƵ8M / 2 = 4M Ƶ 4M x 12 = 48M
	RCC_PLLConfig(RCC_PLLSource_HSI_Div2, RCC_PLLMul_12);
	//ʹܱƵ
	RCC_PLLCmd(ENABLE);
	//ȴƵʼ
	while(RCC_GetFlagStatus(RCC_FLAG_PLLRDY) == RESET);
	//ѡƵPLLΪϵͳʱƵ
	RCC_SYSCLKConfig(RCC_SYSCLKSource_PLLCLK);
	//ȴϵͳʱѡʼ
	while(RCC_GetSYSCLKSource() != 0x08);
}
