#include "main.h"
#include "user_rcc.h"
#include "user_gpio.h"
#include "user_FreeRTOSInclude.h"// FreeRTOS ļ
	
/* 
********************************************************************************************************** 
                       
********************************************************************************************************** 
*/ 
void hardware_Init(void);
static void vTaskLED_PA00(void *pvParameters); 
static void vTaskLED_PA01(void *pvParameters); 
static void vTaskLED_PA02(void *pvParameters); 
static void vTaskLED_PA03(void *pvParameters); 
static void vTaskLED_PA04(void *pvParameters); 
static void vTaskLED_PA05(void *pvParameters); 
static void vTaskLED_PA06(void *pvParameters); 
static void vTaskLED_PA07(void *pvParameters); 
//static void vTaskLED_PA09(void *pvParameters); 
//static void vTaskLED_PA10(void *pvParameters); 
//static void vTaskLED_PA13(void *pvParameters); 
//static void vTaskLED_PA14(void *pvParameters); 
static void vTaskLED_PB01(void *pvParameters); 
static void AppTaskCreate (void); 
 
/* 
********************************************************************************************************** 
                       
********************************************************************************************************** 
*/ 
		static TaskHandle_t xHandleTaskLED_PA00 = NULL;
		static TaskHandle_t xHandleTaskLED_PA01 = NULL;
		static TaskHandle_t xHandleTaskLED_PA02 = NULL;
		static TaskHandle_t xHandleTaskLED_PA03 = NULL;
		static TaskHandle_t xHandleTaskLED_PA04 = NULL;
		static TaskHandle_t xHandleTaskLED_PA05 = NULL;
		static TaskHandle_t xHandleTaskLED_PA06 = NULL;
		static TaskHandle_t xHandleTaskLED_PA07 = NULL;
//		static TaskHandle_t xHandleTaskLED_PA09 = NULL;
//		static TaskHandle_t xHandleTaskLED_PA10 = NULL;
//		static TaskHandle_t xHandleTaskLED_PA13 = NULL;
//		static TaskHandle_t xHandleTaskLED_PA14 = NULL;
		static TaskHandle_t xHandleTaskLED_PB01 = NULL;
 
/* 
********************************************************************************************************* 
*    : main 
*  ˵: ׼cڡ
*      :  
*    ֵ: 
********************************************************************************************************* 
*/
int main(void)
{
/*  
    ǰΪ˷ֹʼSTM32ʱжϷִУֹȫж(NMIHardFault) 
    ĺôǣ 
    1. ִֹежϷFreeRTOSAPI 
    2. ֤ϵͳܱжӰ졣 
    3. ǷرȫжϣҸԼʵüɡ 
    ֲļport.cеĺprvStartFirstTaskл¿ȫжϡָͨcpsie i__set_PRIMASK(1) 
    cpsie iǵЧġ 
     */ 
  __set_PRIMASK(1);   
   
  /* Ӳʼ */ 
  hardware_Init();  
	
   
  /*  */ 
  AppTaskCreate();   
	
	
    /* ȣʼִ */ 
    vTaskStartScheduler();  
 
  /*  
    ϵͳǲеģеＫпڶʱ߿ 
    heapռ䲻ɴʧܣҪӴFreeRTOSConfig.hļжheapС 
    #define configTOTAL_HEAP_SIZE       ( ( size_t ) ( 17 * 1024 ) ) 
  */ 
  while(1);
}

/* 
********************************************************************************************************* 
*    : hardware_Init 
*  ˵: ʼӲʼ 
*      :  
*    ֵ: 
********************************************************************************************************* 
*/
void hardware_Init(void)
{	
	rcc_init();
	gpio_init();
}

/* 
********************************************************************************************************* 
*    : AppTaskCreate 
*  ˵: Ӧ 
*      :  
*    ֵ:  
********************************************************************************************************* 
*/ 
static void AppTaskCreate (void) 
{ 
	xTaskCreate( vTaskLED_PA00,        /*   */ 
								"vTaskLED_PA00",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								1,               /* ȼ*/ 
								&xHandleTaskLED_PA00 ); /*   */ 
	
	xTaskCreate( vTaskLED_PA01,        /*   */ 
								"vTaskLED_PA01",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								1,               /* ȼ*/ 
								&xHandleTaskLED_PA01 ); /*   */  
	
	xTaskCreate( vTaskLED_PA02,        /*   */ 
								"vTaskLED_PA02",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								1,               /* ȼ*/ 
								&xHandleTaskLED_PA02 ); /*   */  
	
	xTaskCreate( vTaskLED_PA03,        /*   */ 
								"vTaskLED_PA03",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								1,               /* ȼ*/ 
								&xHandleTaskLED_PA03 ); /*   */  
	
	xTaskCreate( vTaskLED_PA04,        /*   */ 
								"vTaskLED_PA04",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								2,               /* ȼ*/ 
								&xHandleTaskLED_PA04 ); /*   */  
	
	xTaskCreate( vTaskLED_PA05,        /*   */ 
								"vTaskLED_PA05",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								2,               /* ȼ*/ 
								&xHandleTaskLED_PA05 ); /*   */  
	
	xTaskCreate( vTaskLED_PA06,        /*   */ 
								"vTaskLED_PA06",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								2,               /* ȼ*/ 
								&xHandleTaskLED_PA06 ); /*   */  
	
	xTaskCreate( vTaskLED_PA07,        /*   */ 
								"vTaskLED_PA07",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								2,               /* ȼ*/ 
								&xHandleTaskLED_PA07 ); /*   */  
//	
//	xTaskCreate( vTaskLED_PA09,        /*   */ 
//								"vTaskLED_PA09",      /*     */ 
//								9,             /* ջСλwordҲ4ֽ */ 
//								NULL,            /*   */ 
//								3,               /* ȼ*/ 
//								&xHandleTaskLED_PA09 ); /*   */  
//	
//	xTaskCreate( vTaskLED_PA10,        /*   */ 
//								"vTaskLED_PA10",      /*     */ 
//								9,             /* ջСλwordҲ4ֽ */ 
//								NULL,            /*   */ 
//								3,               /* ȼ*/ 
//								&xHandleTaskLED_PA10 ); /*   */  
//	
//	xTaskCreate( vTaskLED_PA13,        /*   */ 
//								"vTaskLED_PA13",      /*     */ 
//								9,             /* ջСλwordҲ4ֽ */ 
//								NULL,            /*   */ 
//								3,               /* ȼ*/ 
//								&xHandleTaskLED_PA13 ); /*   */  
//	
//	xTaskCreate( vTaskLED_PA14,        /*   */ 
//								"vTaskLED_PA14",      /*     */ 
//								9,             /* ջСλwordҲ4ֽ */ 
//								NULL,            /*   */ 
//								3,               /* ȼ*/ 
//								&xHandleTaskLED_PA14 ); /*   */  
	
	xTaskCreate( vTaskLED_PB01,        /*   */ 
								"vTaskLED_PB01",      /*     */ 
								9,             /* ջСλwordҲ4ֽ */ 
								NULL,            /*   */ 
								4,               /* ȼ*/ 
								&xHandleTaskLED_PB01 ); /*   */  
} 

 
/* 
********************************************************************************************************* 
*    : vTaskLED 
*  ˵: LED˸  
*      : pvParameters ڴʱݵβ 
*    ֵ:  
*     : 1
*********************************************************************************************************
*/ 
static void vTaskLED_PA00(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_0 );  
        vTaskDelay( 000 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_0 );  
        vTaskDelay( 000 ); 
    } 
} 

static void vTaskLED_PA01(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_1 );  
        vTaskDelay( 100 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_1 );  
        vTaskDelay( 100 ); 
    } 
} 

static void vTaskLED_PA02(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_2 );  
        vTaskDelay( 200 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_2 );  
        vTaskDelay( 200 ); 
    } 
} 

static void vTaskLED_PA03(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_3 );  
        vTaskDelay( 300 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_3 );  
        vTaskDelay( 300 ); 
    } 
} 

static void vTaskLED_PA04(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_4 );  
        vTaskDelay( 400 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_4 );  
        vTaskDelay( 400 ); 
    } 
} 

static void vTaskLED_PA05(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_5 );  
        vTaskDelay( 500 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_5 );  
        vTaskDelay( 500 ); 
    } 
} 

static void vTaskLED_PA06(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_6 );  
        vTaskDelay( 600 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_6 );  
        vTaskDelay( 600 ); 
    } 
} 

static void vTaskLED_PA07(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOA, GPIO_Pin_7 );  
        vTaskDelay( 700 );   
        GPIO_SetBits( GPIOA, GPIO_Pin_7 );  
        vTaskDelay( 700 ); 
    } 
} 

//static void vTaskLED_PA09(void *pvParameters) 
//{ 
//    while(1) 
//    { 
//        GPIO_ResetBits( GPIOA, GPIO_Pin_9 );  
//        vTaskDelay( 900 );   
//        GPIO_SetBits( GPIOA, GPIO_Pin_9 );  
//        vTaskDelay( 900 ); 
//    } 
//} 

//static void vTaskLED_PA10(void *pvParameters) 
//{ 
//    while(1) 
//    { 
//        GPIO_ResetBits( GPIOA, GPIO_Pin_10 );  
//        vTaskDelay( 1000 );   
//        GPIO_SetBits( GPIOA, GPIO_Pin_10 );  
//        vTaskDelay( 1000 ); 
//    } 
//} 

//static void vTaskLED_PA13(void *pvParameters) 
//{ 
//    while(1) 
//    { 
//        GPIO_ResetBits( GPIOA, GPIO_Pin_13 );  
//        vTaskDelay( 1300 );   
//        GPIO_SetBits( GPIOA, GPIO_Pin_13 );  
//        vTaskDelay( 1300 ); 
//    } 
//} 

//static void vTaskLED_PA14(void *pvParameters) 
//{ 
//    while(1) 
//    { 
//        GPIO_ResetBits( GPIOA, GPIO_Pin_14 );  
//        vTaskDelay( 1400 );   
//        GPIO_SetBits( GPIOA, GPIO_Pin_14 );  
//        vTaskDelay( 1400 ); 
//    } 
//} 

static void vTaskLED_PB01(void *pvParameters) 
{ 
    while(1) 
    { 
        GPIO_ResetBits( GPIOB, GPIO_Pin_1 );  
        vTaskDelay( 500 );   
        GPIO_SetBits( GPIOB, GPIO_Pin_1 );  
        vTaskDelay( 500 ); 
    } 
} 
